Name:           graphite2
Version:        1.3.14
Release:        1%{?dist}
Summary:        Font rendering capabilities for complex non-Roman writing systems
License:        (LGPLv2+ or GPLv2+ or MPLv1.1) and (Netscape or GPLv2+ or LGPLv2+)

URL:            https://sourceforge.net/projects/silgraphite/
Source0:        https://downloads.sourceforge.net/project/silgraphite/graphite2/%{name}-%{version}.tgz

# Patch Source: https://src.fedoraproject.org/rpms/graphite2/blob/rawhide/f/graphite2-1.2.0-cmakepath.patch
Patch0001:      0001-change-lib-files-installation-path-to-system-default-lib-path.patch

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  freetype-devel

# needed for running the test suite
BuildRequires:  python3-fonttools

%description
Graphite2 is a project within SIL’s Non-Roman Script Initiative and Language
Software Development groups to provide rendering capabilities for complex
non-Roman writing systems. Graphite can be used to create “smart fonts” capable
of displaying writing systems with various complex behaviors. With respect to
the Text Encoding Model, Graphite handles the "Rendering" aspect of writing
system implementation.


%package devel
Summary:        Files for developing with graphite2
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Includes and definitions for developing with graphite2.


%prep
%autosetup -p1


%build
%cmake -DGRAPHITE2_COMPARE_RENDERER=OFF
%cmake_build


%install
%cmake_install

find %{buildroot} -type f -name "*.la" -print -delete


%check
%ctest


%files
%license LICENSE COPYING
%doc ChangeLog README.md

%{_bindir}/gr2fonttest

%{_libdir}/libgraphite2.so.3*


%files devel
%{_includedir}/%{name}/

%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/graphite2-release.cmake
%{_libdir}/%{name}/graphite2.cmake

%{_libdir}/libgraphite2.so
%{_libdir}/pkgconfig/graphite2.pc


%changelog
* Mon Apr 18 2022 gcdota930915 <taifu.gc@alibaba-inc.com> - 1.3.14-1
- Init from upstream version 1.3.14

